<?php
if (!defined('ABSPATH')) die('You do not have sufficient permissions to access this file.');

add_action( 'admin_menu', 'lwoo_add_admin_menu' );

add_action( 'admin_init', 'lwoo_settings_init' );

function lwoo_add_admin_menu(  ) { 
	add_menu_page( 'Loops Woo', 'Loops Woo', 'manage_options', 'lwoo', 'lwoo_options_page' );
}

function lwoo_settings_init(  ) { 

	register_setting( 'lwooPluginPage', 'lwoo_settings' );

	add_settings_section(
		'lwoo_pluginPage_section', 
		__( '', 'lwoo' ), 
		'lwoo_settings_section_callback', 
		'lwooPluginPage'
	);
	add_settings_field( 
		'lwoo_desc', 
		__( '', 'lwoo' ), 
		'lwoo_desc_render', 
		'lwooPluginPage', 
		'lwoo_pluginPage_section' 
	);
	add_settings_field( 
		'lwoo_link', 
		__( 'Link Loops', 'lwoo' ), 
		'lwoo_link_render', 
		'lwooPluginPage', 
		'lwoo_pluginPage_section' 
	);
	add_settings_field( 
		'lwoo_link_text', 
		__( 'Text ditombol', 'lwoo' ), 
		'lwoo_link_text_render', 
		'lwooPluginPage', 
		'lwoo_pluginPage_section' 
	);
	add_settings_field( 
		'lwoo_add_to_cart_disable', 
		__( 'Tombol add to cart woocommerce', 'lwoo' ), 
		'lwoo_add_to_cart_disable_render', 
		'lwooPluginPage', 
		'lwoo_pluginPage_section' 
	);
}
function lwoo_settings_section_callback(  ) { 
	echo __( '', 'lwoo' );
}

function lwoo_link_render(  ) { 
	$options = get_option( 'lwoo_settings' );
	?>
	<input class="regular-text" cols='40' rows='5' name='lwoo_settings[lwoo_link]' value="<?php echo lwoo_validate('lwoo_link'); ?>">
	<p>Cukup memasukkan link campaign tanpa parameter</p>
	<p>Contoh: https://pesan.today/link-campaign-gue/</p>
	<?php
}

function lwoo_add_to_cart_disable_render(  ) { 
	$options = get_option( 'lwoo_settings' );
	?>
	<select name="lwoo_settings[lwoo_add_to_cart_disable]" id="lwoo_settings[lwoo_add_to_cart_disable]">
		<option value="0" <?php echo (!lwoo_validate('lwoo_add_to_cart_disable')) ? 'selected' :''; ?>>Tampilkan</option>
		<option value="1" <?php echo (lwoo_validate('lwoo_add_to_cart_disable')) ? 'selected' :''; ?>>Sembunyikan</option>
	</select>
	<p>Pilihan ini adalah untuk menyembunyikan tombol bawaan woocommerce "add to cart"</p>
	<?php
}

function lwoo_validate($option_name){

	$options = get_option( 'lwoo_settings' );
	if(isset($options[$option_name])){
		$get_option = $options[$option_name];
	}else{
		$get_option = '';
	}
	return $get_option;
}
function lwoo_link_text_render(  ) { 
	$options = get_option( 'lwoo_settings' );
	?>
	<input class="regular-text" cols='40' rows='5' name='lwoo_settings[lwoo_link_text]' value="<?php echo lwoo_validate('lwoo_link_text'); ?>">
	<p>Contoh : Pesan Via Whatsapp</p>
	<?php
}

function lwoo_desc_render(){

	?>
	<h3>Cara Penggunaan</h3>
	<p>Variabel yang dapat digunakan pada dasboard message auto text di dashboard loop.id adalah:</p>
	<ul>
		<li><strong>[produk]</strong> : untuk menampilkan nama produk</li>
		<li><strong>[harga]</strong> : untuk menampilkan harga</li>
		<li><strong>[harga_diskon]</strong> : untuk menampilkan harga diskon</li>
		<li><strong>[harga_normal]</strong> : untuk menampilkan harga sebelum diskon</li>
		<li><strong>[url]</strong> : untuk menampilkan link produk</li>
	</ul>
	<p>Contoh penggunan dalam message auto text</p>
	<p>Hai kak, saya tertarik dengan <strong>[produk]</strong> yang ada di <strong>[url]</strong>, sekarang katanya harganya turun jadi Rp.<strong>[harga_diskon]</strong> ya kak? kalo sebelumnya harganya Rp.<strong>[harga_normal]</strong> ya?</p>
	<?php
}

function lwoo_options_page(){
	?>
	<form action="options.php" method="POST">
	<h2>Loops Woo</h2>
	<?php 
		settings_fields( 'lwooPluginPage' );
		do_settings_sections( 'lwooPluginPage' );
		submit_button();
	?>
	</form>
	<?php
}